Subject: Re: [PATCH v2 3/3] bitmap-format.txt: add information for trailing checksum

From: Taylor Blau <[email-masked]>
Date: Tue, 7 Jun 2022 16:56:09 -0400

On Tue, Jun 07, 2022 at 05:43:34PM +0000, Abhradeep Chakraborty via GitGitGadget wrote:
> From: Abhradeep Chakraborty <[email-masked]>
>
> Bitmap file has a trailing checksum at the end of the file. However
> there is no information in the bitmap-format documentation about it.
>
> Add a trailer section to include the trailing checksum info in the
> `Documentation/technical/bitmap-format.txt` file.
>
> Signed-off-by: Abhradeep Chakraborty <[email-masked]>
> ---
>  Documentation/technical/bitmap-format.txt | 4 ++++
>  1 file changed, 4 insertions(+)
>
> diff --git a/Documentation/technical/bitmap-format.txt b/Documentation/technical/bitmap-format.txt
> index f22669b5916..a43d2fe2bbf 100644
> --- a/Documentation/technical/bitmap-format.txt
> +++ b/Documentation/technical/bitmap-format.txt
> @@ -125,6 +125,10 @@ MIDXs, both the bit-cache and rev-cache extensions are required.
>
>  		** The compressed bitmap itself, see Appendix A.
>
> +	* TRAILER:
> +
> +		Index checksum of the above contents. It is a 20-byte SHA1 checksum.
> +

I assume by "Index checksum" you are referring to a checksum of the
bitmap _index_'s contents. That term is used a little throughout
pack-format.txt, but it's foreign to me. Assuming that's how you meant
it, a more conventional term (I think) would be just "trailing
checksum".

It is also not guaranteed to be a SHA-1 checksum, if the repository
which wrote the bitmap is in SHA-256 mode. So I would suggest that this
addition just read:

    * TRAILER:

      Trailing checksum of the preceding contents.

Thanks,
Taylor